Page MenuHomeFreeBSD

science/py-scipy: Update to version 1.4.1
ClosedPublic

Authored by jrm on Feb 1 2020, 2:32 AM.

Details

Summary
Test Plan

poudriere testport 11/12 i386/amd64 passes

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jrm created this revision.Feb 1 2020, 2:32 AM
jrm added a comment.Feb 1 2020, 3:05 AM

I will do some dependency testing and maybe request and exp-run.

swills retitled this revision from math/py-scipy: Update to version 1.4.1 to science/py-scipy: Update to version 1.4.1.Feb 1 2020, 1:49 PM
swills added a subscriber: swills.Feb 1 2020, 2:14 PM
swills added inline comments.
science/py-scipy/Makefile
28 ↗(On Diff #67593)

This version only supports 3.5+, make this python:3.5+

jrm updated this revision to Diff 67616.Feb 1 2020, 2:48 PM

USES=python:3.5+

jrm marked an inline comment as done.Feb 1 2020, 2:51 PM

http://pkg.awarnach.mathstat.dal.ca/build.html?mastername=12amd64-default&build=2020-02-01_10h13m54s

The only obvious fall-out from this update is biology/py-biom-format, which I'm working on updating. I only tested 12amd64 so far.

swills accepted this revision.Feb 2 2020, 12:11 AM

LGTM

This revision is now accepted and ready to land.Feb 2 2020, 12:11 AM
This revision was automatically updated to reflect the committed changes.